package batch_msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/batch_msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /batch_msg/sendBatchMsgText batch_msg SendBatchMsgText
//
// 发送消息
//
// 发送消息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: SendMsgReq
//
// Responses:
//  200: BaseMsgResp

func SendBatchMsgTextHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.SendMsgReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := batch_msg.NewSendBatchMsgTextLogic(r.Context(), svcCtx)
		resp, err := l.SendBatchMsgText(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
